program TestSetup
  use dc_types,    only: DP, STRING
  use mpi_wrapper
  use argset
  use chemdata
  use timeset
  use gridset
  use axesset
  use constants
  use cloudset
  use composition
  use fileset
  use basicset


  character(STRING) :: cfgfile

  !----------------------------------------------------------------------
  ! 初期化
  !

  ! MPI
  !
  call MPIWrapperInit
  
  ! NAMELIST ファイル名の読み込み
  ! Loading NAMELIST file.
  !
  call argset_init( &
    & cfgfile       & ! (out)
    & )

  ! 化学定数の初期化
  ! Initialization of chemical constatns.
  !
  call chemdata_init( )
  
  ! I/O ファイル名の初期化
  ! Initialization of output file name. 
  !
  call fileset_init( &
    & cfgfile        & ! (in)
    & )
  
  ! 時間積分の初期化
  ! Initialization of time integration.
  !
  call timeset_init( &
    & cfgfile        & ! (in)
    & )
  
  ! 格子点情報の初期化
  ! Initialization of grid arrangement.
  !
  call gridset_init( &
    & cfgfile        & ! (in)
    & )
  
  ! 基本場の情報の初期化
  ! Initialization of basic state variables.
  !
  call axesset_init( &
    & cfgfile        & ! (in)
    & )
  
  ! 湿潤過程共有変数の初期化
  ! Initialization of common variables for moist process.
  !
  call constants_init( cfgfile )

  ! 湿潤過程共有変数の初期化
  ! Initialization of common variables for moist process.
  !
  call composition_init( cfgfile )

  ! 湿潤過程共有変数の初期化
  ! Initialization of common variables for moist process.
  !
  call cloudset_init( cfgfile )
  

end program TestSetup
